package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: VerifyByPubKeyReq
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:40
 */
@Data
public class VerifyByPubKeyReq implements Serializable {
    private static final long serialVersionUID = -4620390204940915177L;
    /**
     * 公钥
     */
    private String pubKey;
    /**
     * 签名
     */
    private String signedData;
    /**
     * 签名前的数据
     */
    private String data;


    private static final VerifyByPubKeyReq obj = new VerifyByPubKeyReq();
    public static VerifyByPubKeyReq getNew() {
        try {
            return (VerifyByPubKeyReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new VerifyByPubKeyReq();
        }
    }
}
